GOLF(2gg)

NAME
get-tree - (tree)

PURPOSE
Get information about a tree.

SYNTAX

        get-tree <tree> \
            ( count <count> ) | ( hops <hops> )

DESCRIPTION
get-tree provides information about <tree> (created by new-tree):

    • <count> (in "count" clause) provides the number of keys (i.e. nodes) in the tree.

    • <hops> (in "hops" clause) provides the number of nodes accessed to find a key in the last tree statement executed prior to get-tree. Note that <hops> is available only in debug Golf build (see installing from source); otherwise it is always zero.

EXAMPLES
Get the number of nodes (keys) in a tree:

        new-tree mytree
        ...
        get-tree mytree count c

SEE ALSO
 Tree

delete-tree get-tree new-tree purge-tree read-tree use-cursor write-tree See all documentation